Vsan Cluster Mgmt Internal System Vsan Remediate Vsan Cluster

Vsan Cluster Mgmt Internal System Vsan Remediate Vsan Cluster
Remediate a cluster, to ensure vSAN cluster state matches vpxd cluster state, and also guarantee vSAN state of all member hosts is updated if required.

Remediate a cluster, to ensure vSAN cluster state matches vpxd cluster state, and also guarantee vSAN state of all member hosts is updated if required.

Request
URI
POST
https://{vcenter-host}/sdk/vim25/{release}/vsan/VsanClusterMgmtInternalSystem/{moId}/VsanRemediateVsanCluster
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the method attaches; the serialized managed object reference for a request has the form moType/moId, in this case VsanClusterMgmtInternalSystem/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Request Body
VsanRemediateVsanClusterRequestType of type(s) application/json
Required

Show optional properties

{
    "cluster": {}
}
{
    "cluster": {
        "_typeName": "string",
        "type": "string",
        "value": "string"
    }
}
cluster
Required

The target vim.ClusterComputeResource to remediate.

Required privileges: Host.Inventory.EditCluster

Authentication
This operation uses the following authentication methods.
Responses
200

vim.Task

Returns MoRefTask of type(s) application/json
This response body class contains all of the following: MoRefExtensibleManagedObject
{
    "_typeName": "string",
    "type": "string",
    "value": "string"
}

500

NotFound: when specified cluster doesn't exist.

Returns NotFound of type(s) application/json
This response body class contains all of the following: VimFault
{
    "_typeName": "string",
    "faultCause": {
        "_typeName": "string",
        "faultCause": "MethodFault Object",
        "faultMessage": [
            {
                "_typeName": "string",
                "key": "string",
                "arg": [
                    {
                        "_typeName": "string",
                        "key": "string",
                        "value": {
                            "_typeName": "string"
                        }
                    }
                ],
                "message": "string"
            }
        ]
    },
    "faultMessage": [
        {
            "_typeName": "string",
            "key": "string",
            "arg": [
                {
                    "_typeName": "string",
                    "key": "string",
                    "value": {
                        "_typeName": "string"
                    }
                }
            ],
            "message": "string"
        }
    ]
}

Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"cluster":"{}"}' https://{api_host}/sdk/vim25/{release}/vsan/VsanClusterMgmtInternalSystem/{moId}/VsanRemediateVsanCluster